package lbi.jdbc.sample;

import lbi.utils.*;
import java.io.*;
import java.sql.*;
import java.util.*;

public class Sample2 {
    public static void main(String[] args) throws SQLException, IOException,
            ClassNotFoundException {
// load proprierties
        Properties props = IOUtil.readProps("myJDBCdef.props");
// load drivers
        DBUtil.loadJDBC(props.getProperty("jdbcDriver"));
// connect to data source, using userName and userPWD
        String url = props.getProperty("jdbcURL");
        String user = props.getProperty("userName");
        String pwd = props.getProperty("userPWD");
        Connection con = DriverManager.getConnection(url, user, pwd);

        Statement stmt = con.createStatement();
        ResultSet rs = stmt.executeQuery(
                "SELECT title, price FROM titles");
// scan results
        while (rs.next()) {
            String title = rs.getString("title");
            double price = rs.getDouble("price");
            System.out.println(title + " " + price);
        }
        con.close();
    }
}
