package lbi.jdbc.sample;

import lbi.utils.*;
import java.sql.*;
import java.util.*;
import java.io.*;

public class Sample5 {
    public static void main(String[] args) throws SQLException, IOException {
// load proprierties
        Properties props = IOUtil.readProps("myJDBCdef.props");
// load drivers
        DBUtil.loadJDBC(props.getProperty("jdbcDriver"));
// connect to data source, using userName and userPWD
        String url = props.getProperty("jdbcURL");
        String user = props.getProperty("userName");
        String pwd = props.getProperty("userPWD");
        Connection con = DriverManager.getConnection(url, user, pwd);
// database metadata
        DatabaseMetaData dbmd = con.getMetaData();
// query metadata
        String catalog = null;
        String schema = null;
        String table = null;
        String[] types = null;
        ResultSet rs = dbmd.getTables(catalog, schema, table, types);
        DBUtil.toCSVmd(rs);
        con.close();
    }
}
